%global	asn1	0.18
%global momorel 2

Summary: ASN.1 descriptions parser
Name: perl-Convert-ASN1
Version: %{asn1}
Release: %{momorel}m
License: GPL or Artistic
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Convert/Convert-ASN1-%{asn1}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Convert/
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: perl >= 5.8.2
Obsoletes: perl-ASN1

%description
This contains Convert::ASN1. This is a replacement for Convert::BER
module. While ASN1.pm is not as flexable as BER.pm, because PDUs must
be described up fronta, it is also more powerful.  For example an LDAP
filter is a recursive structure, BER.pm cannot encode or decode this in
a single pass, ASN1.pm can.

Convert::ASN1 will parse ASN.1 descriptions and will encode from and
decode to perl data structures using a hierarchy of references.


%prep
%setup -n Convert-ASN1-%{asn1} -q

%build
perl Makefile.PL
make
make test

%install
rm -rf	%{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog OldChanges README examples
%{perl_sitelib}/*
%{_mandir}/man?/*

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.18-2m)
- remove Epoch from BuildPrereq

* Sun Nov 16 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.18-1m)

* Sun Nov  9 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.16-3m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (0.16-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add %%{momorel}

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.16-1m)

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (0.14-4k)
- rebuild against for perl-5.6.1

* Wed Nov 14 2001 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (0.14-2k)
- wrote spec from scratch.
